body {
    font-family: 'Roboto' !important;
    font-weight: normal;
    font-size: var(--bs-body-font-size);
    font-weight: var(--bs-body-font-weight);
    line-height: var(--bs-body-line-height);
    color: #535353 !important;
}

p {
    padding: 0;
    margin: 0;
    font-family: 'Roboto' !important;
}

.btn {
    font-family: 'Roboto' !important;
}

a:hover {
    text-decoration: none;
}

a {
    text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
.h1,
.h2,
.h3,
.h4,
.h5 {
    font-family: 'Roboto' !important;
    color: var(--bs-dark-text-emphasis);
}

@media (min-width: 1400px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 1440px;
    }
}

/*--------------------------------------------------------------
# index
--------------------------------------------------------------*/
.section-padding {
    padding-top: 7rem;
    padding-bottom: 4rem;
}

@media only screen and (min-width: 1366px) {
    .section-padding {
        padding-top: 10rem;
        padding-bottom: 4rem;
    }
}

.support-company-area {
    background-color: #fff;
}

.section-tittle h5 {
    font-weight: 400;
    text-transform: uppercase;
    color: #000;
}

.snip1529 {
    background-color: #000000;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
    color: #ffffff;
    font-size: 16px;
    line-height: 1.6em;
    overflow: hidden;
    position: relative;
    text-align: left;
    width: 100%;
    margin-bottom: 20px;
}

.snip1529 * {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: all 0.25s ease;
    transition: all 0.25s ease;
}

.snip1529 img {
    max-width: 100%;
    vertical-align: top;
    position: relative;
    opacity: 0.75;
}

.snip1529 figcaption {
    padding: 25px 20px 25px;
    position: absolute;
    bottom: 0;
    z-index: 1;
}

.snip1529 .date {
    background-color: #fff;
    color: #333;
    font-size: 18px;
    font-weight: 800;
    min-height: 48px;
    min-width: 48px;
    padding: 10px 0;
    position: absolute;
    right: 15px;
    text-align: center;
    text-transform: uppercase;
    top: 0;
}

.snip1529 .date span {
    display: block;
    line-height: 14px;
}

.snip1529 .date i {
    color: #fff;
}

.snip1529 .date .month {
    font-size: 11px;
}


.snip1529 h3,
.snip1529 p {
    margin: 0;
    padding: 0;
}

.snip1529 h3 {
    font-weight: 800;
    letter-spacing: -0.4px;
}

.snip1529 .hover {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    align-items: center;
    background-color: rgb(3 3 3 / 80%);
    display: flex;
    font-size: 40px;
    justify-content: center;
    opacity: 0;
    flex-direction: column;
}
.snip1529 .hover p{
    font-size: 15px;
    margin-top: 10px;
}
.snip1529 a {
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: absolute;
    z-index: 1;
}

.snip1529 figcaption {
    /* background: aliceblue;
    width: 100%; */
    padding: 25px 20px 25px;
    position: absolute;
    bottom: 0; 
    z-index: 1;
}
.snip1529 h3 {
    color: #fff;
    font-weight: 800; /* ใช้สำหรับหัวข้อ */
    letter-spacing: -0.4px;
}

.snip1529:hover .hover,
.snip1529.hover .hover {
    -webkit-transition-delay: 0.1s;
    transition-delay: 0.1s;
    opacity: 1;
}

.snip1529:hover figcaption,
.snip1529.hover figcaption {
    opacity: 0;
}

.snip1529:hover .date,
.snip1529.hover .date {
    -webkit-transform: translateY(-100%);
    transform: translateY(-100%);
}


.chart {
    padding: 20px;
    background-color: #f1f1f1;
}

.table thead tr th {
    background-color: #f1f1f1;
    color: #000;
    border: none;
    padding-bottom: 33px;
}

.table tbody tr td {
    background-color: #fff;
    color: #000;
    padding: 1px;
    border-bottom: 10px solid #f1f1f1;
}

.chart tr td:nth-child(1) {
    min-width: 221px;
}

.chart tr td:nth-child(4) {
    min-width: 133px;
}

.chart tr td .img-product {
    width: 72px;
    float: left;
    margin-left: 8px;
    margin-right: 31px;
    line-height: 63px;
}

.chart tr td .img-product img {
    width: 100%;
}

.chart tr td .name-product {
    font-size: 15px;
    color: #484848;
    padding-top: 8px;
    line-height: 24px;
    width: 100%;
}

.name-product h4 {
    font-size: 16px;
    margin-bottom: 0;
    color: #000;
}

.name-product p {
    color: #000;
}

.chart tr td .price {
    width: 10%;
    line-height: 64px;
    margin-right: 40px;
    color: #989898;
    font-size: 16px;
}

.chart i {
    color: #000;
}

.ic {
    color: #c3ff00;
    background-color: #fff0;
}

/*--------------------------------------------------------------
# audio
--------------------------------------------------------------*/
/* Start  styling the page */
.container-audio {
    width: 100%;
    height: auto;
    padding: 0 20px;
    border-radius: 5px;
    background-color: #fff;
    color: #444;
    margin: 20px auto;
    overflow: hidden;
}

audio {
    width: 100%;
}

audio:nth-child(2),
audio:nth-child(4),
audio:nth-child(6) {
    margin: 0;
}

.container-audio .colum1 {
    width: 23px;
    height: 5em;
    border-radius: 5px;
    margin: 0 10px 0 0;
    display: inline-block;
    position: relative;
}

.container-audio .colum1:last-child {
    margin: 0;
}

.container-audio .colum1 .row {
    width: 100%;
    height: 100%;
    border-radius: 5px;
    background: linear-gradient(to up, #7700aa, #8800ff);
    position: absolute;
    -webkit-animation: Rofa 10s infinite ease-in-out;
    animation: Rofa 10s infinite ease-in-out;
    bottom: 0;
}

.container-audio .colum1:nth-of-type(1) .row {
    -webkit-animation-delay: 3.99s;
    animation-delay: 3.99s;
}

.container-audio .colum1:nth-of-type(2) .row {
    -webkit-animation-delay: 3.80s;
    animation-delay: 3.80s;
}

.container-audio .colum1:nth-of-type(3) .row {
    -webkit-animation-delay: 3.70s;
    animation-delay: 3.70s;
}

.container-audio .colum1:nth-of-type(4) .row {
    -webkit-animation-delay: 3.60s;
    animation-delay: 3.60s;
}

.container-audio .colum1:nth-of-type(5) .row {
    -webkit-animation-delay: 3.50s;
    animation-delay: 3.50s;
}

.container-audio .colum1:nth-of-type(6) .row {
    -webkit-animation-delay: 3.40s;
    animation-delay: 3.40s;
}

.container-audio .colum1:nth-of-type(7) .row {
    -webkit-animation-delay: 3.30s;
    animation-delay: 3.30s;
}

.container-audio .colum1:nth-of-type(8) .row {
    -webkit-animation-delay: 3.20s;
    animation-delay: 3.20s;
}

.container-audio .colum1:nth-of-type(9) .row {
    -webkit-animation-delay: 3.10s;
    animation-delay: 3.10s;
}

.container-audio .colum1:nth-of-type(10) .row {
    -webkit-animation-delay: 2.1s;
    animation-delay: 2.1s;
}

.container-audio .colum1:nth-of-type(11) .row {
    -webkit-animation-delay: 2.1s;
    animation-delay: 2.1s;
}

.container-audio .colum1:nth-of-type(12) .row {
    -webkit-animation-delay: 2.10s;
    animation-delay: 2.10s;
}

.container-audio .colum1:nth-of-type(13) .row {
    -webkit-animation-delay: 2.20s;
    animation-delay: 2.20s;
}

.container-audio .colum1:nth-of-type(14) .row {
    -webkit-animation-delay: 1.30s;
    animation-delay: 1.30s;
}

.container-audio .colum1:nth-of-type(15) .row {
    -webkit-animation-delay: 1.40s;
    animation-delay: 1.40s;
}

.container-audio .colum1:nth-of-type(16) .row {
    -webkit-animation-delay: 1.50s;
    animation-delay: 1.50s;
}

.container-audio .colum1:nth-of-type(17) .row {
    -webkit-animation-delay: 1.60s;
    animation-delay: 1.60s;
}

.container-audio .colum1:nth-of-type(18) .row {
    -webkit-animation-delay: 1.70s;
    animation-delay: 1.70s;
}

.container-audio .colum1:nth-of-type(19) .row {
    -webkit-animation-delay: 1.80s;
    animation-delay: 1.80s;
}

.container-audio .colum1:nth-of-type(20) .row {
    -webkit-animation-delay: 2s;
    animation-delay: 2s;
}

@-webkit-keyframes Rofa {
    0% {
        height: 0%;
        transform: translatey(0);
        background-color: yellow;
    }

    5% {
        height: 100%;
        transform: translatey(15px);
        background-color: fuchsia;
    }

    10% {
        height: 90%;
        transform: translatey(0);
        -webkit-transform: translatey(0);
        background-color: bisque;
    }

    15% {
        height: 80%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    20% {
        height: 70%;
        transform: translatey(0);
        background-color: cornflowerblue;
    }

    25% {
        height: 0%;
        transform: translatey(0);
        background-color: cornflowerblue;
    }

    30% {
        height: 70%;
        transform: translatey(0);
        background-color: cornflowerblue;
    }

    35% {
        height: 0%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    40% {
        height: 60%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    45% {
        height: 0%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    50% {
        height: 50%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    55% {
        height: 0%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    60% {
        height: 40%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    65% {
        height: 0%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    70% {
        height: 30%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    75% {
        height: 0%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    80% {
        height: 20%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    85% {
        height: 0%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    90% {
        height: 10%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    95% {
        height: 5%;
        transform: translatey(0);

        background-color: cornflowerblue;
    }

    100% {
        height: 0;
        transform: translatey(0);

        background-color: cornflowerblue;
    }
}

.modal-content {
    background-color: #fff;
}

.container-audio h4 {
    margin: 0;
    font-size: 18px;
}

.container-audio h6 {
    margin: 0;
    color: #000;
}

.container-audio p {
    margin: 0;
    font-size: 14px;
    color: #919191;
}

/******************  GALLERY *******************/
.masonry .mItem .service-thumb {
    display: inline-block;
    margin-bottom: 16px;
    width: 100%;
}

@media (min-width: 1200px) {
    .masonry {
        column-count: 4;
        column-gap: 15px;
    }
}

@media (max-width: 1199px) {
    .masonry {
        column-count: 3;
    }
}

@media (max-width: 991px) {
    .masonry {
        column-count: 2;
    }
}

@media (max-width: 767px) {
    .masonry {
        column-count: 2;
    }
}

.about p span {
    font-size: 50px;
    margin-right: 20px;
    color: #000;
    font-weight: 700;
}

.about p {
    color: #666;

}

.about h1 {
    color: #000;
}

.about h1 span {
    color: #5f5f5f;
}

.ab1 {
    color: #666;
}

.ab1 h4 {
    color: #000;
}

.ab1 p {
    margin: 20px 0;
}

.ab2 {
    color: #5f5f5f;
}

.ab2 p strong {
    color: #000;
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# contact
--------------------------------------------------------------*/


.contact-form {
    position: relative;
}

.contact-form .required {
    position: relative;
    color: #a7a7a7;
    font-size: 15px;
    margin-bottom: 20px;
}

.contact-form .form-group {
    position: relative;
    margin-bottom: 40px;
}

.contact-form .form-group .field-label {
    position: relative;
    color: #797979;
    font-size: 16px;
    font-weight: 400;
}

.contact-form .form-group input[type="text"],
.contact-form .form-group input[type="password"],
.contact-form .form-group input[type="tel"],
.contact-form .form-group input[type="email"],
.contact-form .form-group input[type="file"],
.contact-form .form-group select {
    position: relative;
    display: block;
    width: 100%;
    line-height: 18px;
    padding: 12px;
    height: 50px;
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    background: none;
    border: 1px solid #cdcdcd;
    -webkit-transition: all 300ms ease;
    -ms-transition: all 300ms ease;
    -o-transition: all 300ms ease;
    -moz-transition: all 300ms ease;
    transition: all 300ms ease;
}

.contact-form .form-group textarea {
    position: relative;
    display: block;
    width: 100%;
    line-height: 24px;
    padding: 0px 0px 10px;
    color: #000000;
    height: 125px;
    font-size: 16px;
    resize: none;
    background: none;
    font-weight: 400;
    border: 1px solid #cdcdcd;
    -webkit-transition: all 300ms ease;
    -ms-transition: all 300ms ease;
    -o-transition: all 300ms ease;
    -moz-transition: all 300ms ease;
    transition: all 300ms ease;
}

.btn-style-two {
    position: relative;
    line-height: 24px;
    color: #ffffff;
    font-size: 17px;
    font-weight: 600;
    background: #000;
    display: inline-block;
    padding: 11px 43px;
    border-radius: 50px;
    border: 2px solid #000;
}

.contact-section .info-column .inner-column {
    position: relative;
    padding-left: 70px;
}

.contact-section .info-column ul {
    position: relative;
}

ul,
li {
    list-style: none;
    padding: 0px;
    margin: 0px;
}

.contact-section .info-column ul li {
    position: relative;
    color: #242424;
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 40px;
}

.contact-section .info-column ul li span {
    position: relative;
    color: #242424;
    font-size: 15px;
    display: block;
    font-weight: 600;
    margin-bottom: 18px;
    text-transform: uppercase;
}



/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
.footer__section {
    background: #000;
    position: relative;
    padding: 4rem 0;
}

.info__box {
    margin-bottom: 30px;
}

.info__box .info_icon {
    width: 65px;
    height: 65px;
    font-size: 27px;
    color: #000;
    float: left;
    margin-right: 23px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -moz-justify-content: center;
    -ms-justify-content: center;
    -webkit-box-pack: center;
    justify-content: center;
    -ms-flex-pack: center;
    -moz-align-items: center;
    -ms-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background: #fff;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#503aca", endColorstr="#ea34ff", GradientType=1);
    border-radius: 50%;
}

.info__box p {
    padding-top: 5px;
    color: #fff;
    margin-bottom: 0;
}

.footer__social {
    background: #503aca;
    background: #fff;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#503aca", endColorstr="#ea34ff", GradientType=1);
    text-align: center;
    padding: 20px 0 15px;
    border-radius: 100px;
    position: relative;
    max-width: 270px;
    margin-left: auto;
}

.footer__social a {
    display: inline-block;
    font-size: 20px;
    color: #fff;
    padding: 0 5px;
    margin-right: 10px;
    position: relative;
    z-index: 5;
}

.footer__social:after {
    position: absolute;
    content: "";
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    left: 2px;
    top: 2px;
    background: #1e151f;
    border-radius: 100px;
}

.footer__copyright__text {
    border-top: 1px solid #252525;
    text-align: center;
    margin-top: 20px;
}

.footer__copyright__text p {
    font-size: 15px;
    color: #c4c4c4;
    margin-bottom: 0;
    padding: 30px 0;
}